| Mini51 BSP V3.02.002 The Board Support Package for Mini51 Series

Data Fields
GPIO_DBNCECON_T Struct Reference

GPIO debounce register map. More...

`#include <Mini51Series.h>`

## Data Fields
__IO uint32_t | DBNCECON

## Detailed Description

GPIO debounce register map.

Definition at line 3583 of file Mini51Series.h.

## Field Documentation

## ◆ DBNCECON

GPIO_DBNCECON_T::DBNCECON

DBNCECON

Offset: 0x180 Interrupt De-bounce Control

Bits | Field | Descriptions
[3:0] | DBCLKSEL | De-bounce Sampling Cycle Selection 0000 = Sample interrupt input once per 1 clock. 0001 = Sample interrupt input once per 2 clocks. 0010 = Sample interrupt input once per 4 clocks. 0011 = Sample interrupt input once per 8 clocks. 0100 = Sample interrupt input once per 16 clocks. 0101 = Sample interrupt input once per 32 clocks. 0110 = Sample interrupt input once per 64 clocks. 0111 = Sample interrupt input once per 128 clocks. 1000 = Sample interrupt input once per 256 clocks. 1001 = Sample interrupt input once per 2*256 clocks. 1010 = Sample interrupt input once per 4*256 clocks. 1011 = Sample interrupt input once per 8*256 clocks. 1100 = Sample interrupt input once per 16*256 clocks. 1101 = Sample interrupt input once per 32*256 clocks. 1110 = Sample interrupt input once per 64*256 clocks. 1111 = Sample interrupt input once per 128*256 clocks.
[4] | DBCLKSRC | De-bounce Counter Clock Source Selection 0 = De-bounce counter clock source is the HCLK. 1 = De-bounce counter clock source is the 10 kHz internal low speed oscillator.
[5] | ICLK_ON | Interrupt Clock On Mode 0 = Edge detection circuit is active only if I/O pin corresponding Px_IEN bit is set to 1. 1 = All I/O pins edge detection circuit is always active after reset. Note: It is recommended to turn off this bit to save system power if no special application concern.

Definition at line 3652 of file Mini51Series.h.

The documentation for this struct was generated from the following file:

- Device/Nuvoton/Mini51Series/Include/Mini51Series.h